Bug 114256 - Regression: Print Range not working anymore (Format - Page - Sheet - Scale)
Summary: Regression: Print Range not working anymore (Format - Page - Sheet - Scale)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-12-05 09:23 UTC by Kevin Suo
Modified: 2018-12-18 13:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2017-12-05 09:23:35 UTC
Steps to Reproduce:
1. A1=1, B1=2, C1=3, ..., N1=14;
2. Format - Page - Sheet - Scale: set as 1*1 page.
3. Print preview.
--> Print range is crowded into a small area.

This is a regression.
Broken within the range: 0c566771..282bc5a8, 
while the following one is the most suspicious:
5684e53b931eaaac658bc3246ae1c3249e252fdb
Calculate print page ranges only when needed, cache in print state
Comment 1 Kevin Suo 2017-12-05 10:10:23 UTC
It's confirmed that the following commit is the bad one:
author	Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>	2017-12-02 01:17:15 +0900
committer	Tomaž Vajngerl <quikee@gmail.com>	2017-12-04 08:07:24 +0100
commit	5684e53b931eaaac658bc3246ae1c3249e252fdb (patch)

Adding cc Tomaž Vajngerl as I am not able to add Tomaž Vajngerl to cc.
Comment 2 Xisco Faulí 2017-12-05 10:23:53 UTC
Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: 9984b3488f04ab372fe0b308c969eca6ebec460f
CPU threads: 8; OS: Mac OS X 10.12.6; UI render: default; 
Locale: en-US (en_ES.UTF-8); Calc: group threaded
Comment 3 Commit Notification 2017-12-12 23:55:57 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5217a2a0bf27e496cc429ee45dff7c239b466ae6

tdf#114256 add cache criterium when to recalculate page range size

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Kevin Suo 2018-01-03 16:44:16 UTC
Do not reproduce with most recent master.
Mark as FIXED.